#include "vision.h"

using namespace std;
typedef long long ll;

std::vector<int> getVisionPattern1d()
{
    return { 2, 1, 3, 1, 1, 1 };
}

int getMove1d(std::vector<int> v)
{
    int n = v.size();
    n /= 2;

    if (v[n] == 3) {
        if (v[1] != 2) return 0;
        else return 2 * n;
    }
    for (int i = 0; i < v.size(); ++i) {
        if (v[i] == 3) {
            return i;
        }
    }
    for (int i = 0; i < v.size(); ++i) {
        if (v[i] == 2) {
            return i;
        }
    }
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return { {1} };
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return { 0, 0 };
}
